is_igraph {igraph} | R Documentation

## Is this object an igraph graph?

### Description

Is this object an igraph graph?

### Usage

    is_igraph(graph)

### Arguments

`graph` | An R object.

### Value

A logical constant, `TRUE` if argument `graph` is a graph object.

### Author(s)

Gabor Csardi csardi.gabor@gmail.com

### Examples

    g <- make_ring(10)
    is_igraph(g)
    is_igraph(numeric(10))

[Package igraph version 1.1.2 Index]